> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hydric.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get detailed token information on a specific chain.

> Retrieves comprehensive details about a token on a specific blockchain.



## OpenAPI

````yaml https://api.hydric.org/v1/openapi.json get /v1/tokens/{chainId}/{tokenAddress}
openapi: 3.1.0
info:
  title: hydric Gateway API
  description: Access DeFi Liquidity easily. One plug. Every Protocol. Every Network.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.hydric.org
security:
  - bearerAuth: []
tags: []
paths:
  /v1/tokens/{chainId}/{tokenAddress}:
    get:
      tags:
        - Tokens
      summary: Get detailed token information on a specific chain.
      description: Retrieves comprehensive details about a token on a specific blockchain.
      operationId: TokensController_getSingleChainToken
      parameters:
        - name: chainId
          required: true
          in: path
          description: The numeric ID of the blockchain where the token resides.
          schema:
            example: 1
            type: number
        - name: tokenAddress
          required: true
          in: path
          description: The Token contract address.
          schema:
            example: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
            type: string
      responses:
        '200':
          description: The requested token information.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSingleChainTokenResponse'
        '404':
          description: The requested token was not found on the specified chain.
          content:
            application/json:
              example:
                statusCode: 404
                timestamp: '2026-02-28T19:40:59.723Z'
                path: /tokens/1/0x0000000000000000000000000000000000000001
                traceId: doc_sample_trace_id
                error:
                  code: TOKEN_NOT_FOUND
                  title: Not Found
                  message: Couldn't find the specified token at the specified chain
                  details: >-
                    Token with address
                    '0x0000000000000000000000000000000000000001' at chain id '1'
                    not found
                  metadata:
                    tokenAddress: '0x0000000000000000000000000000000000000001'
                    chainId: 1
components:
  schemas:
    GetSingleChainTokenResponse:
      type: object
      properties:
        token:
          description: The requested token information.
          example:
            chainId: 1
            address: '0x0000000000000000000000000000000000000000'
            decimals: 18
            name: Ether
            symbol: ETH
            logoUrl: >-
              https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000
            totalValuePooledUsd: 154000000.5
          allOf:
            - $ref: '#/components/schemas/SingleChainTokenInfo'
      required:
        - token
    SingleChainTokenInfo:
      type: object
      properties:
        chainId:
          type: number
          description: The chain id of the network where the token resides.
          example: 1
          enum:
            - 1
            - 143
            - 130
            - 999
            - 8453
            - 9745
            - 534352
        address:
          type: string
          description: >-

            The contract address of the token on its host network.


            * **ERC-20 Tokens:** The 20-byte hex contract address.

            * **Native Assets (e.g., ETH, MATIC):** Represented by the "Zero
            Address" (`0x000...000`).
                
          example: '0x0000000000000000000000000000000000000000'
        decimals:
          type: number
          description: >-
            The number of decimal places used to represent the smallest
            fractional unit of the token (e.g., 18 for ETH, 6 for USDC).
          example: 18
        name:
          type: string
          description: >-
            The full human-readable name of the asset (e.g., "Ethereum",
            "Wrapped Bitcoin").
          example: Ether
        symbol:
          type: string
          description: The ticker symbol of the token (e.g., "ETH", "WBTC")..
          example: ETH
        logoUrl:
          type: string
          description: The URL of the token logo.
          example: >-
            https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000
        totalValuePooledUsd:
          type: number
          description: >-
            Represents the total USD value of this token currently locked in
            indexed liquidity pools.
          example: 154000000.5
      description: >-
        Complete information about a token on a single blockchain, including
        pool metrics.
      required:
        - chainId
        - address
        - decimals
        - name
        - symbol
        - logoUrl
        - totalValuePooledUsd
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Use the docs sandbox API key for authentication:
        **hydric_docs_4N4ocuirsN8Sh**

````